Relabel an IP allowlist entry
curl --request PATCH \
--url https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Frankfurt NAT"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Frankfurt NAT'})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}"
payload = { "label": "Frankfurt NAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.patch("https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Frankfurt NAT\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}"
payload := strings.NewReader("{\n \"label\": \"Frankfurt NAT\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Frankfurt NAT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 34017,
"resource": "ip-allowlist-entry",
"partnerId": 1069,
"cidr": "203.0.113.0/24",
"label": "Frankfurt NAT",
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:10:00Z",
"updatedAt": "2026-10-22T10:10:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/ip-allowlist/34017",
"type": "application/json"
}
}
}
}IP allowlist
Relabel an IP allowlist entry
Changes the label of an entry. See IP allowlist.
Required permissions: manage-ip-allowlist · API keys: not allowed · Recent sign-in: required for dashboard users (15 minutes)
PATCH
/
partner
/
v1
/
ip-allowlist
/
{ipAllowlistEntryId}
Relabel an IP allowlist entry
curl --request PATCH \
--url https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Frankfurt NAT"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Frankfurt NAT'})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}"
payload = { "label": "Frankfurt NAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.patch("https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Frankfurt NAT\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}"
payload := strings.NewReader("{\n \"label\": \"Frankfurt NAT\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/ip-allowlist/{ipAllowlistEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Frankfurt NAT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 34017,
"resource": "ip-allowlist-entry",
"partnerId": 1069,
"cidr": "203.0.113.0/24",
"label": "Frankfurt NAT",
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:10:00Z",
"updatedAt": "2026-10-22T10:10:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/ip-allowlist/34017",
"type": "application/json"
}
}
}
}Dashboard session only. API keys cannot call this operation.
Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Entry id. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
Required range:
0 <= x <= 18446744073709552000Body
application/json
New label. To change the range, delete and re-add.
Label (1-80 characters).
Required string length:
1 - 80Response
OK
Single-object envelope around a IpAllowlistEntry.
An allowed source address range.
Show child attributes
Show child attributes